Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Class MissingPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.hyades.logging.events.cbe.EventException
                  org.eclipse.hyades.logging.events.cbe.ValidationException
                      org.eclipse.hyades.logging.events.cbe.MissingPropertyException

All Implemented Interfaces:
  java.io.Serializable

public class MissingPropertyException
extends ValidationException

Validation exception used to indicate that a mandatory property, according to the CBE specification, is not present within a class representing an element of that specification.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.hyades.logging.events.cbe.EventException
`file, key, parms`

Constructor Summary
`MissingPropertyException()` Simple constructor.
`MissingPropertyException(java.lang.String msg)` Constructs a `MissingPropertyException` with the specified detail message.
`MissingPropertyException(java.lang.String key, java.lang.String file)` Creates a `MissingPropertyException` with a detail message, message translation information (resource bundle, message key and message substitutions).
`MissingPropertyException(java.lang.String key, java.lang.String file, java.lang.Object[] parms)` Creates a `MissingPropertyException` with a detail message, message translation information (resource bundle, message key and message substitutions).
`MissingPropertyException(java.lang.String key, java.lang.String file, java.lang.Object[] parms, java.lang.Throwable cause)` Creates a `MissingPropertyException` with a detail message, message translation information (resource bundle, message key and message substitutions) and a nested exception.

Methods inherited from class org.eclipse.hyades.logging.events.cbe.EventException
`getCause, getKey, getLocalizedMessage, getLocalizedMessage, getMessage, initCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingPropertyException

    public MissingPropertyException()

  Simple constructor.

### MissingPropertyException

    public MissingPropertyException(java.lang.String msg)

  Constructs a `MissingPropertyException` with the specified detail message.

Parameters:
  `msg` - the detail message

### MissingPropertyException

    public MissingPropertyException(java.lang.String key,
                                    java.lang.String file)

  Creates a `MissingPropertyException` with a detail message, message translation information (resource bundle, message key and message substitutions).

Parameters:
  `key` - The message key.
  `file` - The name of the message file to use.

### MissingPropertyException

    public MissingPropertyException(java.lang.String key,
                                    java.lang.String file,
                                    java.lang.Object[] parms)

  Creates a `MissingPropertyException` with a detail message, message translation information (resource bundle, message key and message substitutions).

Parameters:
  `key` - The message key.
  `file` - The name of the message file to use.
  `parms` - An array of elements to be inserted into the message.

### MissingPropertyException

    public MissingPropertyException(java.lang.String key,
                                    java.lang.String file,
                                    java.lang.Object[] parms,
                                    java.lang.Throwable cause)

  Creates a `MissingPropertyException` with a detail message, message translation information (resource bundle, message key and message substitutions) and a nested exception.

Parameters:
  `key` - The message key.
  `file` - The name of the message file to use.
  `parms` - An array of elements to be inserted into the message.
  `cause` - The nested exception, or `null`, if a nested exception is not appropriate.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD